Go to the latest version of this document.

# ``twisted`.`positioning`.`base`.`Altitude``

class documentation

`class Altitude(FancyEqMixin): (source)`

Constructor: `Altitude(altitude)`

View In Hierarchy

An altitude.

Method | `__float__` | Returns the altitude represented by this object expressed in meters.
Method | `__init__` | Initializes an altitude.
Method | `__repr__` | Returns a string representation of this altitude.
Class Variable | `compareAttributes` | Undocumented
Property | `inFeet` | Gets the altitude this object represents, in feet.
Property | `inMeters` | Returns the altitude this object represents, in meters.
Instance Variable | `_altitude` | Undocumented

Inherited from `FancyEqMixin`:

Method | `__eq__` | Undocumented
Method | `__ne__` | Undocumented

def __float__(self): (source)

Returns the altitude represented by this object expressed in meters.

Returns
`float` | The altitude represented by this object, expressed in meters.

def __init__(self, altitude): (source)

Initializes an altitude.

Parameters
altitude:`float` | The altitude in meters.

def __repr__(self) -> `str`: (source)

Returns a string representation of this altitude.

Returns
`str` | The string representation.

compareAttributes: `tuple[str, ...]` = (source)
overrides `twisted.python.util.FancyEqMixin.compareAttributes`

Undocumented

@property
inFeet: `float` = (source)

Gets the altitude this object represents, in feet.

@property
inMeters: `float` = (source)

Returns the altitude this object represents, in meters.

_altitude = (source)

Undocumented